%define major      3
%define libname    %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} -d

Name:           ccrtp
Version:        2.1.2
Release:        %mkrel 5
License:        GPLv2+
Summary:        Common C++ class framework for RTP/RTCP
Group:          System/Libraries
URL:            https://www.gnu.org/software/commoncpp/
Source0:        https://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:        https://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz.sig

BuildRequires:  libcommoncpp2-devel >= 1.7.0
BuildRequires:  doxygen
BuildRequires:  libgcrypt-devel
BuildRequires:  pkgconfig(ucommon)

%description
ccRTP is a generic, extensible and efficient C++ framework for
developing applications based on the Real-Time Transport Protocol
(RTP) from the IETF. It is based on Common C++ and provides a full
RTP/RTCP stack for sending and receiving of realtime data by the use
of send and receive packet queues. ccRTP supports unicast,
multi-unicast and multicast, manages multiple sources, handles RTCP
automatically, supports different threading models and is generic as
for underlying network and transport protocols.

%package -n     %{libname}
Summary:        Common C++ class framework for RTP/RTCP
Group:          System/Libraries

Obsoletes:      %{_lib}ccrtp2 < 2.2.1-4
Provides:       %{_lib}ccrtp2 = %{version}-%{release}

%description -n %{libname}
ccRTP is a generic, extensible and efficient C++ framework for
developing applications based on the Real-Time Transport Protocol
(RTP) from the IETF. It is based on Common C++ and provides a full
RTP/RTCP stack for sending and receiving of realtime data by the use
of send and receive packet queues. ccRTP supports unicast,
multi-unicast and multicast, manages multiple sources, handles RTCP
automatically, supports different threading models and is generic as
for underlying network and transport protocols.

This package contains the shared library part of ccrtp.

%package -n     %{libnamedev}
Summary:        Header files and libraries for %{name} development
Group:          Development/Other
# Some of the headers are LGPLv2+
License:        GPLv2+ and LGPLv2+

Provides:       ccrtp-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       libcommoncpp2-devel

%description -n %{libnamedev}
The %{libnamedev} package contains the header files and libraries needed
to develop programs that use the %{name} library.


%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc COPYING README COPYING.addendum
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{libnamedev}
%doc doc/html
%{_includedir}/ccrtp
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libccrtp.pc
%{_infodir}/*


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 2.1.2-5.mga9
+ Revision: 1837753
- Mageia 9 Mass Rebuild

* Thu Aug 20 2020 ovitters <ovitters> 2.1.2-4.mga8
+ Revision: 1616655
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Wed Feb 12 2020 umeabot <umeabot> 2.1.2-3.mga8
+ Revision: 1511201
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 2.1.2-2.mga7
+ Revision: 1296009
- Mageia 7 Mass Rebuild

* Sat Oct 07 2017 daviddavid <daviddavid> 2.1.2-1.mga7
+ Revision: 1169786
- new version: 2.1.2

* Thu Jan 07 2016 daviddavid <daviddavid> 2.1.1-4.mga6
+ Revision: 920268
- rebuild for new ucommon 7.0.0
- fix major of libname subpackage (libccrtp2 to libccrtp3)

* Thu Sep 10 2015 fwang <fwang> 2.1.1-3.mga6
+ Revision: 875441
- rebuild for new libgcrypt

* Mon Aug 24 2015 cjw <cjw> 2.1.1-2.mga6
+ Revision: 868938
- rebuild with gcc 5

* Sun Feb 08 2015 alien <alien> 2.1.1-1.mga5
+ Revision: 814091
- imported package ccrtp

